Bug 987853 - SELinux is preventing /usr/bin/clamscan from 'getattr' accesses on the file /etc/selinux/targeted/contexts/users/staff_u.
SELinux is preventing /usr/bin/clamscan from 'getattr' accesses on the file /...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:7395cefcf93029f95888fb34de0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 05:58 EDT by Frank Murphy
Modified: 2015-06-29 21:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 21:32:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Murphy 2013-07-24 05:58:17 EDT
Description of problem:
SELinux is preventing /usr/bin/clamscan from 'getattr' accesses on the file /etc/selinux/targeted/contexts/users/staff_u.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that clamscan should be allowed getattr access on the staff_u file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep clamscan /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:antivirus_t:s0-s0:c0.c1023
Target Context                system_u:object_r:default_context_t:s0
Target Objects                /etc/selinux/targeted/contexts/users/staff_u [
                              file ]
Source                        clamscan
Source Path                   /usr/bin/clamscan
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           clamav-0.97.8-2.fc20.x86_64
Target RPM Packages           selinux-policy-targeted-3.12.1-66.fc20.noarch
Policy RPM                    selinux-policy-3.12.1-66.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.0-0.rc2.git1.1.fc20.x86_64 #1
                              SMP Tue Jul 23 14:24:16 UTC 2013 x86_64 x86_64
Alert Count                   22
First Seen                    2013-07-24 09:11:08 IST
Last Seen                     2013-07-24 10:46:22 IST
Local ID                      8dae939d-cf0c-49e5-b1ea-b36903197c74

Raw Audit Messages
type=AVC msg=audit(1374659182.580:813): avc:  denied  { getattr } for  pid=6926 comm="clamscan" path="/etc/selinux/targeted/contexts/users/staff_u" dev="dm-1" ino=318 scontext=system_u:system_r:antivirus_t:s0-s0:c0.c1023 tcontext=system_u:object_r:default_context_t:s0 tclass=file


type=SYSCALL msg=audit(1374659182.580:813): arch=x86_64 syscall=lstat success=no exit=EACCES a0=db12a0 a1=7fff217ba3c0 a2=7fff217ba3c0 a3=7f25da5168c0 items=0 ppid=6924 pid=6926 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=2 tty=(none) comm=clamscan exe=/usr/bin/clamscan subj=system_u:system_r:antivirus_t:s0-s0:c0.c1023 key=(null)

Hash: clamscan,antivirus_t,default_context_t,file,getattr

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.11.0-0.rc2.git1.1.fc20.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-07-24 07:56:42 EDT
commit 0802391b0190b4ee6b321f093879a1691e7b7e79
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Wed Jul 24 13:56:23 2013 +0200

    Fix antivirus_can_scan_system to dontaudit read access on security files
Comment 2 Frank Murphy 2013-08-18 04:36:03 EDT
(In reply to Miroslav Grepl from comment #1)
> commit 0802391b0190b4ee6b321f093879a1691e7b7e79
> Author: Miroslav Grepl <mgrepl@redhat.com>
> Date:   Wed Jul 24 13:56:23 2013 +0200
> 
>     Fix antivirus_can_scan_system to dontaudit read access on security files

How?
Comment 3 Miroslav Grepl 2013-08-20 03:54:41 EDT
+    files_dontaudit_read_security_files(antivirus_domain)
Comment 4 Frank Murphy 2013-08-22 08:03:08 EDT
(In reply to Miroslav Grepl from comment #3)
> +    files_dontaudit_read_security_files(antivirus_domain)

I added that to:
/etc/selinux/targeted/contexts/users/staff_u
Hope that's correct.
Comment 5 Miroslav Grepl 2013-08-22 08:06:37 EDT
No action is needed. Just use the latest build from koji

http://koji.fedoraproject.org/koji/buildinfo?buildID=457872
Comment 6 Fedora End Of Life 2013-09-16 13:02:20 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 7 Fedora Update System 2013-09-25 16:39:22 EDT
selinux-policy-3.12.1-83.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-83.fc20
Comment 8 Fedora Update System 2013-09-26 20:42:56 EDT
Package selinux-policy-3.12.1-83.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-83.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17722/selinux-policy-3.12.1-83.fc20
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-10-02 02:42:49 EDT
Package selinux-policy-3.12.1-84.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-84.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17722/selinux-policy-3.12.1-84.fc20
then log in and leave karma (feedback).
Comment 10 Fedora End Of Life 2015-05-29 05:13:02 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2015-06-29 21:32:09 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.